org.keycloak.services.clientregistration

## Class AbstractClientRegistrationProvider

- java.lang.Object
- - org.keycloak.services.clientregistration.AbstractClientRegistrationProvider

- All Implemented Interfaces:
    Provider, ClientRegistrationProvider
  Direct Known Subclasses:
    DefaultClientRegistrationProvider, EntityDescriptorClientRegistrationProvider, OIDCClientRegistrationProvider

      public abstract class AbstractClientRegistrationProvider
      extends Object
      implements ClientRegistrationProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientRegistrationAuth` | `auth`
    `protected EventBuilder` | `event`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientRegistrationProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ClientRepresentation` | `create(ClientRegistrationContext context)`
    `void` | `delete(String clientId)`
    `ClientRepresentation` | `get(ClientModel client)`
    `ClientRegistrationAuth` | `getAuth()`
    `EventBuilder` | `getEvent()`
    `void` | `setAuth(ClientRegistrationAuth auth)`
    `void` | `setEvent(EventBuilder event)`
    `ClientRepresentation` | `update(String clientId, ClientRegistrationContext context)`
    `void` | `validateClient(ClientModel clientModel, OIDCClientRepresentation oidcClient, boolean create)`
    `void` | `validateClient(ClientRepresentation clientRep, boolean create)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected KeycloakSession session

    - #### event

          protected EventBuilder event

    - #### auth

          protected ClientRegistrationAuth auth

  - ### Constructor Detail

    - #### AbstractClientRegistrationProvider

          public AbstractClientRegistrationProvider(KeycloakSession session)

  - ### Method Detail

    - #### create

          public ClientRepresentation create(ClientRegistrationContext context)

    - #### get

          public ClientRepresentation get(ClientModel client)

    - #### update

          public ClientRepresentation update(String clientId,
                                             ClientRegistrationContext context)

    - #### delete

          public void delete(String clientId)

    - #### validateClient

          public void validateClient(ClientModel clientModel,
                                     OIDCClientRepresentation oidcClient,
                                     boolean create)

    - #### validateClient

          public void validateClient(ClientRepresentation clientRep,
                                     boolean create)

    - #### setAuth

          public void setAuth(ClientRegistrationAuth auth)

      Specified by:
        `setAuth` in interface `ClientRegistrationProvider`

    - #### getAuth

          public ClientRegistrationAuth getAuth()

      Specified by:
        `getAuth` in interface `ClientRegistrationProvider`

    - #### setEvent

          public void setEvent(EventBuilder event)

      Specified by:
        `setEvent` in interface `ClientRegistrationProvider`

    - #### getEvent

          public EventBuilder getEvent()

      Specified by:
        `getEvent` in interface `ClientRegistrationProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.